Bug 334371

Summary: Krita crashes when changing Grid settings in Settings dialog and pressing OK
Product: [Applications] krita Reporter: Dmitry Kazakov <dimula73>
Component: GeneralAssignee: Krita Bugs <krita-bugs-null>
Status: RESOLVED FIXED    
Severity: crash    
Priority: NOR    
Version: git master (please specify the git hash!)   
Target Milestone: ---   
Platform: unspecified   
OS: Linux   
Latest Commit: Version Fixed In:

Description Dmitry Kazakov 2014-05-05 10:46:15 UTC
1) Activate Grid
2) Go to Settings
3) Change grid spacing to some value
4) Press ok

*SOMETIMES* is crashes, sometimes not. I've seen the same backtrace when changing the display profile.


Thread 1 (Thread 0x7fca681757a0 (LWP 31441)):
[KCrash Handler]
#6  KoPart::document (this=0xf1b1d0) at /home/devel/kde-src/calligra/libs/main/KoPart.cpp:130
#7  0x00007fca6775908f in KisDlgPreferences::editPreferences () at /home/devel/kde-src/calligra/krita/ui/dialogs/kis_dlg_preferences.cc:769
#8  0x00007fca678b998d in KisView2::slotPreferences (this=0x38ffdb0) at /home/devel/kde-src/calligra/krita/ui/kis_view2.cpp:1026
#9  0x00007fca678c2264 in KisView2::qt_metacall (this=0x38ffdb0, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0x7fff536bc0f0) at /home/devel/kde-build/calligra/krita/ui/kis_view2.moc:113
#10 0x00007fca608c759a in QMetaObject::activate (sender=0x589c1a0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff536bc0f0) at kernel/qobject.cpp:3287
#11 0x00007fca615045d2 in QAction::triggered (this=<optimized out>, _t1=false) at .moc/release-shared/moc_qaction.cpp:263
#12 0x00007fca615047bf in QAction::activate (this=0x589c1a0, event=<optimized out>) at kernel/qaction.cpp:1257
#13 0x00007fca6193a969 in QMenuPrivate::activateCausedStack (this=0x1ce7080, causedStack=..., action=0x589c1a0, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1005
#14 0x00007fca619405a2 in QMenuPrivate::activateAction (this=0x1ce7080, action=0x589c1a0, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1097
#15 0x00007fca622dfd40 in KMenu::mouseReleaseEvent (this=0x1d1a600, e=0x7fff536bccd0) at /usr/src/debug/kdelibs-4.7.2/kdeui/widgets/kmenu.cpp:464
#16 0x00007fca6155b2b6 in QWidget::event (this=0x1d1a600, event=0x7fff536bccd0) at kernel/qwidget.cpp:8295
#17 0x00007fca61941b0b in QMenu::event (this=0x1d1a600, e=0x7fff536bccd0) at widgets/qmenu.cpp:2405
#18 0x00007fca6150abe4 in notify_helper (e=0x7fff536bccd0, receiver=0x1d1a600, this=0x705e90) at kernel/qapplication.cpp:4481
#19 QApplicationPrivate::notify_helper (this=0x705e90, receiver=0x1d1a600, e=0x7fff536bccd0) at kernel/qapplication.cpp:4453
#20 0x00007fca6151036b in QApplication::notify (this=<optimized out>, receiver=0x1d1a600, e=0x7fff536bccd0) at kernel/qapplication.cpp:4042
#21 0x00007fca66cd35fe in KoApplication::notify (this=<optimized out>, receiver=0x1d1a600, event=0x7fff536bccd0) at /home/devel/kde-src/calligra/libs/main/KoApplication.cpp:622
#22 0x00007fca608b481c in QCoreApplication::notifyInternal (this=0x7fff536bd830, receiver=0x1d1a600, event=0x7fff536bccd0) at kernel/qcoreapplication.cpp:787
#23 0x00007fca6150bbb2 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../src/corelib/kernel/qcoreapplication.h:215
#24 QApplicationPrivate::sendMouseEvent (receiver=0x1d1a600, event=0x7fff536bccd0, alienWidget=0x0, nativeWidget=0x1d1a600, buttonDown=0x0, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3141
#25 0x00007fca61588201 in QETWidget::translateMouseEvent (this=0x1d1a600, event=<optimized out>) at kernel/qapplication_x11.cpp:4406
#26 0x00007fca61586a2a in QApplication::x11ProcessEvent (this=0x7fff536bd830, event=0x7fff536bd5a0) at kernel/qapplication_x11.cpp:3598
#27 0x00007fca615aecba in QEventDispatcherX11::processEvents (this=0x60df00, flags=...) at kernel/qeventdispatcher_x11.cpp:132
#28 0x00007fca608b3a22 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#29 0x00007fca608b3c1f in QEventLoop::exec (this=0x7fff536bd7f0, flags=...) at kernel/qeventloop.cpp:201
#30 0x00007fca608b7de7 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1064
#31 0x00007fca67d650d3 in kdemain (argc=<optimized out>, argv=<optimized out>) at /home/devel/kde-src/calligra/krita/main.cc:107
#32 0x00007fca5f7f823d in __libc_start_main () from /lib64/libc.so.6
#33 0x0000000000400901 in _start () at ../sysdeps/x86_64/elf/start.S:113
Comment 1 Halla Rempt 2014-05-18 13:13:58 UTC
Git commit 5c3e20a75d43ed61973559bcaa851c751e3f3d2e by Boudewijn Rempt.
Committed on 18/05/2014 at 13:13.
Pushed by rempt into branch 'master'.

M  +5    -3    krita/ui/dialogs/kis_dlg_preferences.cc

http://commits.kde.org/calligra/5c3e20a75d43ed61973559bcaa851c751e3f3d2e